package controlloAccessi;

import veicoliEcologia.*;

public class MainControlloAccessi {
	
	public static void main(String[] args)
	{
		/* istanziazione di alcuni veicoli che simulino il traffico in entrata
		 * nel centro storico (non prendo in input i valori ma li imposto come prefissati).
		 */
		try{
			AutomobileEco a = new AutomobileEco(2002, "citroen", "Benzina Verde", 1200, 3,
										"XC345JG", "Mario Rossi", "Euro2");
		
			//ricorda: canAccess e compilaMulta sono stati realizzati come metodi statici
			if(!ControlloAccessi.canAccess(a))
				System.out.println(ControlloAccessi.compilaMulta(a));
		
			FurgoneEco f = new FurgoneEco(2004, "Fiat", "Diesel", 2500, 14,
										"DF341RT", "Roberto Galli", "Euro4");
										
			if(!ControlloAccessi.canAccess(f))
				System.out.println(ControlloAccessi.compilaMulta(f));
										
			MotociclettaEco m = new MotociclettaEco(1999, "Ducati", "Benzina", 900, "strada", 4,
										"DH739", "Loris Marchi", true, "E38");
										
			if(!ControlloAccessi.canAccess(m))
				System.out.println(ControlloAccessi.compilaMulta(m));
										
		}catch(VeicoloEcologicoException vee){
			
			System.out.println(vee.getMessage());
			
		}catch(Exception e){
			
			System.out.println(e.getMessage());
			
		}
		 
	}
	
}
